package com.zhili.zkservicecenter.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.core.script.RedisScript;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2023/2/1 18:59
 */
@RestController
@Slf4j
public class TestController {

    @Autowired
    RedisTemplate redisTemplate;

    @Autowired
    RedisScript<List> redisScript;

    @GetMapping("/test")
    public Object test(){
        List<String> keys = new ArrayList<String>();
        keys.add("x");
        keys.add("y");
        List<String> a = (List) redisTemplate.execute(redisScript, keys, "a");
        log.info("a:{}",a);
        return a;
    }
}
